'''
import time
max_value = 300_000_000
list_1 =list(range(1,max_value+1))
start_time = time.time()
sum_list_1 = sum(list_1)
end_time = time.time()
print(f"Temps d'exécution : {end_time - start_time}")
print(f"La somme = : {sum_list_1:,}")'''


import numpy as np
import time
max_value = 300_000_000
list_1 = np.array(np.arange(max_value+1), dtype='int64')
start_time = time.time()
sum_list_1 = np.sum(list_1)
end_time = time.time()
print(f"temps d'exécution : {end_time - start_time}")
print(f"la somme = : {sum_list_1:,}")

